import service from '@/utils/request'


export const getCompanyList = (data) => {
    return service({
        url: "/company/getCompanyList",
        method: 'post',
        data
    })
}

export const getCompanyInfo = (data) => {
    return service({
        url: "/company/getCompanyInfo",
        method: 'post',
        data
    })
}

export const confirmCompany = (data) => {
    return service({
        url: "/company/confirmCompany",
        method: 'post',
        data
    })
}

export const getCompanyByCreditCode = (data) => {
    return service({
        url: "/company/getCompanyByCreditCode",
        method: 'post',
        data
    })
}



export const updateCompanyCooperation = (data) => {
    return service({
        url: "/company/updateCompanyCooperation",
        method: 'post',
        data
    })
}

export const updateCompanyPassword = (data) => {
    return service({
        url: "/company/updateCompanyPassword",
        method: 'post',
        data
    })
}


export const employMaker = (data) => {
    return service({
        url: "/company/employMaker",
        method: 'post',
        data
    })
}

export const confirmMaker = (data) => {
    return service({
        url: "/company/confirmMaker",
        method: 'post',
        data
    })
}

export const fireMaker = (data) => {
    return service({
        url: "/company/fireMaker",
        method: 'post',
        data
    })
}
export const addCompany = (data) => {
    return service({
        url: "/company/addCompany",
        method: 'post',
        data
    })
}
